#pragma once

#include <map>

#include "presstypes.hpp"

namespace hibis {
	class InputManager final {
	public:
		InputManager();
		~InputManager();

		bool isKeyPressed(int scancode);
		bool isKeyJustPressed(int scancode);
		bool isKeyJustReleased(int scancode);

		void setKeyPressState(int scancode, PressTypes type);
	private:
		std::map<int, PressTypes> mKeyScancodes;
	};
}
